@import "~@angular/material/theming";
$primary: mat-palette($mat-indigo);
$grey: mat-palette($mat-grey);

.moc-add {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;

    .add-form {
        width: 75%;

        .stepper-content {
            display: flex;
            flex-direction: column;
            margin-top: 10px;

            .input {
                max-width: 500px;
                margin: 5px 0;
            }

            .upload-button {
                cursor: pointer;
            }

            .stepper-action {
                margin-top: 10px;
            }

            .image-list {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;

                .upload-image {
                    height: 200px;
                    width: 200px;
                    cursor: pointer;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    @include mat-elevation-transition;
                    @include mat-elevation(2);
                    color: mat-color($grey);
                    border: 2px solid;
                    transition: border 300ms ease-out;
                    border-radius: 5px;
                    margin-right: 10px;
                    margin-bottom: 10px;
                    position: relative;

                    &:hover {
                        @include mat-elevation(8);
                        border: 2px solid mat-color($primary);

                        .delete {
                            visibility: visible;
                            opacity: 1;
                            transition: opacity 300ms ease-out;
                        }
                    }

                    .delete {
                        visibility: hidden;
                        opacity: 0;
                        position: absolute;
                        top: 0;
                        right: 0;
                        transition: visibility 0s 300ms linear, opacity 250ms ease-in;
                    }

                    .label {
                        display: flex;
                        align-items: center;

                        .text {
                            text-align: center;

                            .sub-text {
                                font-size: 12px
                            }
                        }

                        .icon {
                            margin-left: 10px;
                        }
                    }

                    .preview {
                        width: 100%;
                        user-select: none;
                        -moz-user-select: none;
                        -webkit-user-drag: none;
                        -webkit-user-select: none;
                        -ms-user-select: none;
                    }

                    .top-spacer, .bottom-spacer {
                        flex: 1;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        color: black;
                    }
                }

                .hover {
                    @include mat-elevation(8);
                    border: 2px solid mat-color($primary);
                }
            }
        }
    }
}

.horizontal {
    flex-direction: row;
}
